Subject: Re: [PATCH] af_packet: Don't use skb after dev_queue_xmit()

From: Jarek Poplawski <[email-masked]>
Date: Mon, 18 Jan 2010 22:06:15 +0100

On Mon, Jan 18, 2010 at 01:00:38PM -0800, Stephen Hemminger wrote:
> On Mon, 18 Jan 2010 15:56:45 -0500
> Michael Breuer <[email-masked]> wrote:
> 
> > >> 2. The dropped tx packet (DHCP) is a bit harder to recreate, but it
> > >> still happens.
> > >>        
> 
> You might want to use tc filter rule to set priority of DHCP packets
> higher. This would cause them to be in a separate queue and eliminate
> the problem.
> 

But it looks like they are dropped in TX after passing a qdisc (and
wireshark).

Jarek P.